Downgraded from 3.5.6 to 3.4.2 due to license expiry, lost all saved configs.

Describe the bug
I hadn't used my mac in a long time. Decided to boot it up and had started to use it for few days. Got a notification about BTT update and it said that my 2 year time period was over, and i needed to pay for the next release. I decided to cancel it. But for some reason, it got updated in background and then it asked me to restore to last eligible version which was 3.4.2. I did that and it said the files are corrupted. This is the message i get : "The Version of BTT you are currently using isn't compatible with the version of your data file!"

I tried reinstalling 3.5.6, still nothing comes up. I tried copying files from ~/Library/Application Support/BetterTouchTool folder that i had backup up but nothing works.

Device information:

  • Type of Mac: MBP 2015
  • macOS version: Big sur 11.3 Beta
  • BetterTouchTool version: 3.5.6 to 3.4.2
Imprint | Privacy Policy